/*  $Id: font_generic.cpp,v 1.36 2004/02/12 15:51:59 mbn Exp $
**
**  ClanLib Game SDK
**  Copyright (C) 2003  The ClanLib Team
**  For a total list of contributers see the file CREDITS.
**
**  This library is free software; you can redistribute it and/or
**  modify it under the terms of the GNU Lesser General Public
**  License as published by the Free Software Foundation; either
**  version 2.1 of the License, or (at your option) any later version.
**
**  This library is distributed in the hope that it will be useful,
**  but WITHOUT ANY WARRANTY; without even the implied warranty of
**  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
**  Lesser General Public License for more details.
**
**  You should have received a copy of the GNU Lesser General Public
**  License along with this library; if not, write to the Free Software
**  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307  USA
*/

#include "Display/display_precomp.h"
#include "font_generic.h"

/////////////////////////////////////////////////////////////////////////////
// CL_Font_Generic construction:

CL_Font_Generic::CL_Font_Generic() :
	width_offset(0),
	height_offset(0),
	trans_origin(origin_top_left),
	trans_x(0),
	trans_y(0),
	delims(" ")
{
}

CL_Font_Generic::CL_Font_Generic(const CL_Font_Generic &copy) :
	width_offset(copy.width_offset),
	height_offset(copy.height_offset),
	trans_origin(copy.trans_origin),
	trans_x(copy.trans_x),
	trans_y(copy.trans_y),
	delims(copy.delims),
	target(copy.target)
{
}

CL_Font_Generic::~CL_Font_Generic()
{
}

/////////////////////////////////////////////////////////////////////////////
// CL_Font_Generic attributes:


/////////////////////////////////////////////////////////////////////////////
// CL_Font_Generic operations:
